com.microfocus.awm.control

## Class ActionExecutor.ActionExecutorJob

- java.lang.Object
- - org.eclipse.core.runtime.PlatformObject
  - - org.eclipse.core.internal.jobs.InternalJob
    - - org.eclipse.core.runtime.jobs.Job
      - - com.microfocus.awm.control.ActionExecutor.ActionExecutorJob

- All Implemented Interfaces:
    java.lang.Comparable, org.eclipse.core.runtime.IAdaptable, org.eclipse.core.runtime.jobs.ISchedulingRule
  Enclosing class:
    ActionExecutor

      public class ActionExecutor.ActionExecutorJob
      extends org.eclipse.core.runtime.jobs.Job
      implements org.eclipse.core.runtime.jobs.ISchedulingRule

  Implementation of `Job` to execute an `ActionDescriptor` in the background.
  Author:
    Ralf Pakosch

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.core.runtime.jobs.Job

      `ASYNC_FINISH, BUILD, DECORATE, INTERACTIVE, LONG, NONE, RUNNING, SHORT, SLEEPING, WAITING`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ActionExecutorJob(ActionExecutor pExecutor)` Basic constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `contains(org.eclipse.core.runtime.jobs.ISchedulingRule pRule)`
    `IAction` | `getAction()` Gets the the action.
    `ActionExecutor` | `getActionExecutor()` Gets the the actionExecutor.
    `boolean` | `isConflicting(org.eclipse.core.runtime.jobs.ISchedulingRule pRule)`

    - ### Methods inherited from class org.eclipse.core.runtime.jobs.Job

      `addJobChangeListener, belongsTo, cancel, create, create, createSystem, createSystem, done, getJobGroup, getJobManager, getName, getPriority, getProperty, getResult, getRule, getState, getThread, isBlocking, isSystem, isUser, join, join, removeJobChangeListener, schedule, schedule, setJobGroup, setName, setPriority, setProgressGroup, setProperty, setRule, setSystem, setThread, setUser, shouldRun, shouldSchedule, sleep, toString, wakeUp, wakeUp, yieldRule`

    - ### Methods inherited from class org.eclipse.core.internal.jobs.InternalJob

      `compareTo`

    - ### Methods inherited from class org.eclipse.core.runtime.PlatformObject

      `getAdapter`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

      `getAdapter`

- - ### Constructor Detail

    - #### ActionExecutorJob

          public ActionExecutorJob(ActionExecutor pExecutor)

      Basic constructor.
      Parameters:
        `pExecutor` - the action executor instance.

  - ### Method Detail

    - #### getAction

          public IAction getAction()

      Gets the the action. Returns `null` if the job did not finish or finished with an exception.
      Returns:
        the action or `null`

    - #### getActionExecutor

          public ActionExecutor getActionExecutor()

      Gets the the actionExecutor.
      Returns:
        the actionExecutor

    - #### contains

          public boolean contains(org.eclipse.core.runtime.jobs.ISchedulingRule pRule)

      Specified by:
        `contains` in interface `org.eclipse.core.runtime.jobs.ISchedulingRule`

    - #### isConflicting

          public boolean isConflicting(org.eclipse.core.runtime.jobs.ISchedulingRule pRule)

      Specified by:
        `isConflicting` in interface `org.eclipse.core.runtime.jobs.ISchedulingRule`

Copyright © 2015 Micro Focus GmbH. All rights reserved.